commit d8529ba
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Thu Jun 18 16:48:42 2015 +0200

    Add ExtremeNetworks attribute 213 (and the source of the information)
    
    Change-Id: I2fe561eef38ecc31693270b527af1f42ef564734
    Reviewed-on: https://code.wireshark.org/review/8977
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 8cbd144
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 18 15:21:22 2015 +0200

    Bluetooth: ensure to give bluetooth_data structure to dissect_eir_ad_data()
    
    Bug: 11285
    Change-Id: I1d3a4900fe3daec6f8d7596a9925322063f2c4eb
    Reviewed-on: https://code.wireshark.org/review/8976
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 2391fe5
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Jun 18 00:38:44 2015 -0400

    [aeron] Remove unneeded initializers
    
    Change-Id: Ifa129c221b5df9120a0c475edc2109775f84ae35
    Reviewed-on: https://code.wireshark.org/review/8974
    Petri-Dish: Bill Meier <wmeier@newsguy.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 05554f8
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 18 12:29:16 2015 +0200

    Asterix: field array must be NULL terminated
    
    Bug: 11287
    Change-Id: Iffcaa1cd2663768f616aedb550a101b7196e456b
    Reviewed-on: https://code.wireshark.org/review/8975
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit c6c9043
Author: michal.orynicz <michal.orynicz@tieto.com>
Date:   Tue Jun 16 15:50:25 2015 +0200

    Add possibility to export Logcat Text PDUs
    
    Enable exporting PDUs from Logcat Text, so they can be saved as pcapng.
    
    Change-Id: I413055d7706d245525609a9a4cbe9e02e8d99a0f
    Reviewed-on: https://code.wireshark.org/review/8904
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 247f596
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jun 17 20:02:46 2015 +0200

    BTLE: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I818ba409a01b2ae2701d22f97340183df42cd075
    Reviewed-on: https://code.wireshark.org/review/8962
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 0dffb17
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jun 17 21:03:03 2015 -0700

    Get rid of unnecessary stuff copied-and-pasted from the radiotap dissector.
    
    What the dissector calls "radiotap" isn't even remotely like radiotap.
    It took some flags from radiotap, but that's it.
    
    Make the names of the flags in question match what's in the libwiretap
    code.  Get rid of everything not in the libwiretap code, and get rid of
    all code that does anything if those flags are set or that puts them
    into the protocol tree.
    
    This means that we don't do anything with the FCS or the Atheros
    padding; just call the "802.11 with no FCS" dissector.
    
    Change-Id: I4d3646d5d6c409b772985d0b05a86d5ee903157a
    Reviewed-on: https://code.wireshark.org/review/8973
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d83f86a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jun 17 19:14:43 2015 -0700

    Get rid of some unused members of struct ieee_802_11_phdr.
    
    Remove some unused members, and move the presence flags after the
    should-always-be-set fields, right before the fields to which it
    applies.
    
    Change-Id: I8d6f08e1d3d8de0c11a9e04de4e98408d6b90693
    Reviewed-on: https://code.wireshark.org/review/8972
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ac96b2c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jun 17 19:08:13 2015 -0700

    The STBC subfield of the radiotap MCS field is a count, not a flag.
    
    It's a 2-bit field that is the "number of STBC streams", according to
    the radiotap Web site item for the MCS field:
    
    	http://www.radiotap.org/defined-fields/MCS
    
    Correctly label both the FCS type and STBC stream count fields.
    
    Change-Id: Ic49f6faec3335096c6bb8ce96ce0dec2f9342a37
    Reviewed-on: https://code.wireshark.org/review/8971
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d3c7d6e
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jun 17 15:16:49 2015 -0400

    [c15ch] Trivial: Remove unneeded #include
    
    Change-Id: I07db4f6e7dda81f3be1b828d42c08c385b6e8e27
    Reviewed-on: https://code.wireshark.org/review/8968
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 1edfd4f
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jun 17 17:45:23 2015 -0700

    Add frequency_utils.
    
    Change-Id: Id82cae52756b4c3798aaa4498aadebce93d4f29a
    Reviewed-on: https://code.wireshark.org/review/8970
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9c28594
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jun 17 08:41:41 2015 -0700

    Add a preferences editor frame.
    
    This replaces the single preference editor dialog in the GTK+ UI.
    
    Change-Id: I10e030981e9f7d1ec121811593586b65cf0797c5
    Reviewed-on: https://code.wireshark.org/review/8966
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2dd030d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jun 16 14:02:14 2015 -0700

    Update the release notes.
    
    Change-Id: I33eb3c205d2384a7e7475b599f38637009c5455b
    Reviewed-on: https://code.wireshark.org/review/8967
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 60f33b6
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 17 19:55:19 2015 +0200

    Qt: fix a crash when closing application under Windows
    
    QCoreApplication visits eldritch horrors upon argv on Windows. Keep a
    local copy for our own processing.
    
    ---
    [ Pascal's original comments ]
    g6c4ec4a introduced the use of arg_list_utf_16to8 that triggers a crash on my
    computer when freeing the g_allocated memory.
    Let's do a similar work but with a memory allocator that does not trigger an exception.
    
    Also fix a memory leak in arg_list_utf_16to8 while we are at it.
    
    Change-Id: I93d899af20b09c9a5d584a46297f715591502df9
    Reviewed-on: https://code.wireshark.org/review/8961
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d5f1ae7
Author: Andrew Hoag <andrew.hoag@aireon.com>
Date:   Wed Jun 17 10:39:27 2015 -0400

    Asterix dissector support for category 021 v2.3
    
    - Add item 040 field LLC
    - Add item 200 field ME
    - Edit item 271 field LW
    
    Change-Id: I13b3774b248731f208b3b950f7ae0736398edbe4
    Reviewed-on: https://code.wireshark.org/review/8892
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Marko Hrastovec <marko.hrastovec@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit dd15c51
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jun 17 10:28:04 2015 -0400

    [ath] minor cleanup
    
    - Remove unneeded #include;
    - Remove unused code;
    - Adjust whitespace.
    
    Change-Id: I1a287478e629af26234e97824db091c732168447
    Reviewed-on: https://code.wireshark.org/review/8964
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit fb94a27
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jun 15 23:18:37 2015 -0400

    [ocfs2] trivial changes: unneeded initializer; indentation/whitespace
    
    Change-Id: Icef38e94d5c3e9f5598d55c3e988c94b2798f81f
    Reviewed-on: https://code.wireshark.org/review/8963
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 271d8e8
Author: Birol Capa <birol.capa@siemens.com>
Date:   Tue Jun 16 22:01:02 2015 +0300

    Profinet: I&M5 Data is added.
    
    This optional attribute allows identifying separately orderable OEM parts used to built the device.
    It consists of the following attributes:
    Number Of Entries, IM Annotation, Vendor ID, IM Order ID, Serial Number, Hardware Revision, Software Revision
    
    Change-Id: I793f6ecd798f93e7f40e8e1a42e42a7070a4a1c1
    Reviewed-on: https://code.wireshark.org/review/8955
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 053f792
Author: Gerald Combs <gerald@zing.org>
Date:   Tue Jun 16 20:51:44 2015 -0700

    Fix the Qt main window popup behavior.
    
    By default QMainWindow::createPopupMenu shows a checkable list of
    toolbars which aren't synced with our actions under the View menu.
    Replace it with a version that handles all the main window widgets.
    
    Change-Id: I5f5c23880133e97e815d3bbbf19ea3bacc482096
    Reviewed-on: https://code.wireshark.org/review/8958
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 26dacfc
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jun 16 17:24:19 2015 -0700

    Qt: Add protocol preferences menus.
    
    Add protocol preferences in the packet list and packet detail context
    menus. Note that we need a PreferencesEditorFrame in the main window for
    editing numeric and string preferences. For now we just show the prefs
    dialog.
    
    Change-Id: Ice0cc8e9bc25963cc14aa47698f042f2a73088d8
    Reviewed-on: https://code.wireshark.org/review/8957
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d5215c2
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jun 16 12:21:46 2015 -0700

    Save the wireless toolbar recent settings.
    
    Change-Id: I2b0417b7dae8679e80f30de2cd10c7bb6fdc1dbf
    Reviewed-on: https://code.wireshark.org/review/8956
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit c3335fb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 16 11:04:10 2015 -0700

    Don't include <wsutil/frequency-utils.h> if it's not needed.
    
    Change-Id: I7c958a31681defb5297428fdb77aa43462b2d160
    Reviewed-on: https://code.wireshark.org/review/8953
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6c4ec4a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jun 16 11:55:09 2015 -0700

    Qt: Make sure we have usable command line arguments.
    
    Call arg_list_utf_16to8 in wireshark-qt.cpp on Windows. Set our default
    codec in Qt4 to UTF-8 before doing so.
    
    Bug: 11276
    Change-Id: I8e0afb9523ddb5956d30424b7b7ad7f3ea0838c7
    Reviewed-on: https://code.wireshark.org/review/8954
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 200c15e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 16 10:51:47 2015 -0700

    Pass the pseudo-header to wtap_encap dissectors via the "data" argument.
    
    Have the "data" argument to dissectors registered in thw wtap_encap
    dissector table point to the pseudo-header for the packet.
    
    Use that argument in the Bluetooth dissector.
    
    Change-Id: I022bbfb796ef51d95df09fb952a149960170d631
    Reviewed-on: https://code.wireshark.org/review/8951
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 46a9afb
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jun 16 08:58:01 2015 -0700

    Disable AirPcap by default in Autotools.
    
    Note that we might want to remove the check entirely.
    
    Change-Id: Ie0003abc64cd6f47c4f49770beb5d418995e939a
    Reviewed-on: https://code.wireshark.org/review/8950
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 7525cac
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Jun 16 13:20:24 2015 +0200

    [Qt] Delete generated file config.pri at "clean"
    
    Change-Id: Ia8469a91eebf92bf8349d2507bdfcfdba55da916
    Reviewed-on: https://code.wireshark.org/review/8949
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a0b0f37
Author: Etienne Millon <etienne@cryptosense.com>
Date:   Mon Jun 15 18:09:10 2015 +0200

    PKCS12: fix a duplicate OID
    
    The value for OID 1.2.840.113549.1.12.1.6 was copy-pasted from the line above.
    Its correct definition can be found in  RFC7292, whose relevant parts are in
    pkcs12.asn.
    
    Note that the capitalization is not consistent in the RFC (pbeWith/pbewith).
    I used the same convention.
    
    Change-Id: I702c2b698660a7ea8df043775d37cadfa6d3ca72
    Reviewed-on: https://code.wireshark.org/review/8928
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit c392db5
Author: Adam Pridgen <adam.pridgen@thecoverofnight.com>
Date:   Sun Jun 7 01:17:50 2015 -0500

    TLS Decryption is now possible with a user provided PMS and Client Random values
    
    Bug: 11263
    Change-Id: I1476948ed823fc34de2cecdeb1bddafccbb8ec39
    Reviewed-on: https://code.wireshark.org/review/8803
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit a1859b7
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue Jun 16 08:00:09 2015 +0200

    Qt: Remove redundant actions from UI file
    
    Change-Id: Ia571844a2729683ef5f9487fca0aa9d5fd09b235
    Reviewed-on: https://code.wireshark.org/review/8948
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 220aa51
Author: Tom Haynes <loghyr@primarydata.com>
Date:   Mon Jun 15 09:51:54 2015 -0700

    packet-nfs: For flexfiles the versions is now an array
    
    Change-Id: I1b61f6a91fbd3553106d1a9a8aba56db1894a010
    Signed-off-by: Tom Haynes <loghyr@primarydata.com>
    Reviewed-on: https://code.wireshark.org/review/8940
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 112f8e6
Author: Weston Andros Adamson <dros@primarydata.com>
Date:   Tue Feb 10 16:02:55 2015 -0500

    packet-nfs: flexfiles now uses string uid/gid
    
    And no longer uses opaque_auth
    
    Change-Id: I272e1c5c1391dac977ad850b899505a28c42b6fd
    Reviewed-on: https://code.wireshark.org/review/8939
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5f03f02
Author: Weston Andros Adamson <dros@primarydata.com>
Date:   Wed Jan 21 17:43:48 2015 -0500

    packet-nfs: update to draft 05 of flexfiles xdr
    
    Change-Id: I7a4e99242365a6fd7c0fa81c6bc97cbe01a00763
    Reviewed-on: https://code.wireshark.org/review/8938
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9c1f6dd
Author: Peng Tao <tao.peng@primarydata.com>
Date:   Fri Aug 22 14:46:19 2014 +0800

    packet-nfs: flexfile getdeviceinfo needs to decode rsize/wsize
    
    Change-Id: I67239a7cd1ea63499e5ee1956a2a5ac7b8191f9e
    Reviewed-on: https://code.wireshark.org/review/8936
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e439bf6
Author: Weston Andros Adamson <dros@primarydata.com>
Date:   Mon Jun 2 23:29:12 2014 -0400

    packet-nfs: flexfile getdeviceinfo support
    
    Change-Id: I7ba0720f4f1dcf15d257d5358226e82b4ee7d2d9
    Reviewed-on: https://code.wireshark.org/review/8935
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3de93e7
Author: Weston Andros Adamson <dros@primarydata.com>
Date:   Mon Jun 2 16:37:58 2014 -0400

    packet-nfs: flexfile layoutget support
    
    Change-Id: Idd162119b1fdc6747452b9a13ef580705567983e
    Signed-off-by: Tom Haynes <loghyr@primarydata.com>
    Reviewed-on: https://code.wireshark.org/review/8934
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 15593da
Author: Weston Andros Adamson <dros@primarydata.com>
Date:   Mon Jun 2 19:49:00 2014 -0400

    packet-nfs: switch on layout type for getdeviceinfo
    
    We can only parse file layout ds addrs, treat all other layouts as having
    opaque data.
    
    Change-Id: I50892dbdbd6785d8216e2d8725da7bec0c554ee2
    Reviewed-on: https://code.wireshark.org/review/8933
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit dd8b7ca
Author: Gerald Combs <gerald@zing.org>
Date:   Mon Jun 15 22:05:54 2015 -0700

    Check for NL and AIRPCAP defines.
    
    This should hopefully fix compilation on OS X.
    
    Change-Id: I621c92499232dafb6d6db867615baed8dc81eb17
    Reviewed-on: https://code.wireshark.org/review/8947
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ece4b01
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jun 11 15:05:44 2015 -0700

    Add the wireless toolbar.
    
    Add the wireless toolbar to the Qt UI.
    
    Start adding AirPcap support to ui/80211_utils. Add FCS validation
    routines to ws80211_utils.
    
    Move a bunch of AirPcap routines that require epan from caputils to
    ui/gtk. They were required for driver key management, which we'll
    leave to the AirPcap Control Panel in the Qt UI.
    
    Move frequency-utils to wsutil.
    
    Change-Id: I44446758046621d183f5c2ba9f6526bf01e084f1
    Reviewed-on: https://code.wireshark.org/review/8910
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2a3fa14
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 15 20:37:27 2015 -0700

    wtap_encap dissectors don't get passed a media type name as data.
    
    Get rid of stuff probably left over from copying-and-pasting a
    lines-of-text dissector that *did* register for a media type.
    
    Change-Id: I1197b254dd66d82883a4078c043f5cf1b2777e17
    Reviewed-on: https://code.wireshark.org/review/8946
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8baf88b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 15 20:32:24 2015 -0700

    Don't assume we get passed a null data pointer for JSON files.
    
    That assumption will cease to be valid in the future.
    
    Change-Id: I021900c7a2f18f94e24cf6d372bb0c5e6fa3fdfe
    Reviewed-on: https://code.wireshark.org/review/8945
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3d176c9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 15 20:24:35 2015 -0700

    Clean up whitespace.
    
    Change-Id: I5db2f0cdb2e5339d4f0fa1f8d1ce9b3866d640fb
    Reviewed-on: https://code.wireshark.org/review/8944
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 68e6502
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 15 20:23:24 2015 -0700

    Clean up handling of metadata in Bluetooth dissectors.
    
    Make the "previous protocol data" union in bluetooth_data_t a
    discriminated union, and use the discriminator to decide whether to use
    a given member of the union or not (or to check whether the member you
    plan to use is valid).
    
    Have separate top-level dissectors depending on what the data type
    pointed to by the "data" argument is.
    
    Use that member to point to pseudo-header metadata, and, for now, set it
    to point to the appropriate pinfo->pseudo_header value; eventually, we
    plan to pass the pseudo-header pointer in as the "data" argument from
    the "frame" dissector.
    
    Don't overwrite the pseudo-header in the packetlogger dissector -
    construct a new one and pass it in.
    
    Change-Id: Ia1ef71e7082a964c5d92d47221f8c00e32f3f087
    Reviewed-on: https://code.wireshark.org/review/8943
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 60ab495
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 15 09:25:12 2015 -0700

    Accept drop events immediately.
    
    Accept drop events before opening our capture file instead after.
    
    Change-Id: I48fe1cd1e3b5e6f7b076aaa0e3a0d035938a5af7
    Reviewed-on: https://code.wireshark.org/review/8929
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 34124c8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 15 14:10:12 2015 -0700

    Define XXX_phdr structures in the order in which they appear in the union.
    
    Change-Id: Ia1fe1758998237a344889bdf8215ecfba7b871ee
    Reviewed-on: https://code.wireshark.org/review/8942
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 560180b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 15 14:02:49 2015 -0700

    Move some structures used only in pcap-common.c there.
    
    Those aren't pseudo-headers exported from libwiretap, they're just
    structures corresponding to the pseudo-headers for some pcap/pcap-ng
    link-layer header types.
    
    Change-Id: Iec37cfc162b64adacdeb57e14e546bced7b673fa
    Reviewed-on: https://code.wireshark.org/review/8941
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 678c5d5
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Mon Jun 15 20:33:46 2015 +0100

    Fix the CMake windows installer to pickup the locally built zlib1.dll
    
    Change-Id: I8880a760d9817dd038694e96b4a3d9b8d2db3c2c
    Reviewed-on: https://code.wireshark.org/review/8931
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 86285d5
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jun 15 16:05:28 2015 -0400

    [vsip] Fix 2 minor bugs; Do some minor cleanup
    
      Bugs: Incorrect bytes pane highlighting in certain cases.
    
    Change-Id: I6f0fd4e3f7f1599c20524c8715ef831668b7391f
    Reviewed-on: https://code.wireshark.org/review/8932
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit c1ebd20
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 15 17:04:28 2015 +0200

    GTP: put T-PDU Data item under GTP tree
    
    Otherwise it is put in the top tree, which seems a bit surprising (as seen in the attachment for bug 11271)
    
    Change-Id: I0e7f9c89d8ecaeecc3a951893e10154bc11927d3
    Reviewed-on: https://code.wireshark.org/review/8927
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5a4f44a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 15 20:18:33 2015 +0200

    TFS: Mutualize Response/Request TFS
    
    move tfs_response_request to epan/tfs.[ch] and use this
    
    Change-Id: I29d5894fade721b5234649a7c2d83dd1d6a19a0d
    Reviewed-on: https://code.wireshark.org/review/8930
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit cedaa0d
Author: Robert Cragie <robert.cragie@arm.com>
Date:   Thu Jun 11 16:16:34 2015 +0100

    Support for MPL
    (https://tools.ietf.org/html/draft-ietf-roll-trickle-mcast-12)
    
    Change-Id: Idde0f0ef6c23b4c91f08fed1d5b18c68e8c5cf4e
    Reviewed-on: https://code.wireshark.org/review/8885
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit aeb6419
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Mon Jun 15 13:14:01 2015 +0100

    Separate Windows CMake compiler definitions and flags
    
    Change-Id: I70af6d43f45e2110ee7707ff5747b5e990ba7238
    Reviewed-on: https://code.wireshark.org/review/8926
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 75ddc45
Author: Birol Capa <birol.capa@siemens.com>
Date:   Tue Jun 9 13:28:19 2015 +0300

    Profinet: Combined Object Container is added.
    
    An IO device may define so called “combined objects”.
    A particular combined object is a group of related submodules, e.g. an interface and its ports.
    The Combined Object Container holds the parametrization for all submodules.
    
    Change-Id: Ifb6c63d2c3a1d3cf2cf100a8f54cf0eafa84fe6c
    Reviewed-on: https://code.wireshark.org/review/8853
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1131398
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 15 14:06:18 2015 +0200

    PCP: fix dissection of R bit
    
    Request and response values were inverted.
    
    Bug: 11278
    Change-Id: I9b337f423055578252cc01211d74c77837b7ae87
    Reviewed-on: https://code.wireshark.org/review/8924
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 960d310
Author: Hiroaki KAWAI <hiroaki.kawai@gmail.com>
Date:   Thu Jun 11 18:17:55 2015 +0900

    openflow_v4: oxm_length includes experimenter
    
    As defined in section 7.2.3.10 "Experimenter
    Flow Match Fields" of openflow-switch v1.3.5 spec.
    
    Change-Id: I7268f614417720f225a22b226c8f21603b7f2d0f
    Reviewed-on: https://code.wireshark.org/review/8882
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c11a912
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Jun 14 16:02:25 2015 +0200

    icmp,wimax: Fix undefined shift
    
    Fixes these warnings reported by Undefined Behavior Sanitizer (UBSan)
    while running the test suite:
    
        icmp: left shift of 55099 by 16 places cannot be represented in type 'int'
        wimax: left shift of 1 by 31 places cannot be represented in type 'int'
    
    Change-Id: I72913a901b61033098750da9c8f1617b055999a1
    Reviewed-on: https://code.wireshark.org/review/8913
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7102a06
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed May 13 17:33:28 2015 +0200

    Qt/Bluetooth: Add Devices dialogue
    
    Please found it under Bluetooth menu. It shows all devices found
    in logs, not only connected, all that its address can be found in
    logs. Show if device is local (in most cases: capturing on it side)
    and manufacturer and LMP version what should answer the question what
    version of Bluetooth is used by Bluetooth device chip.
    Also firmware version.
    
    Change-Id: I32e3b7100cdebcaa850b6541de0ab89dff41c0e1
    Reviewed-on: https://code.wireshark.org/review/8901
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Tested-by: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 9fb6ec6
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Jun 14 18:05:02 2015 -0700

    Qt: Add the ability to show preferences by module name.
    
    Currently unused, but allows feature parity with the GTK+ UI.
    
    Change-Id: I33e0bfb434949aabd75ecd2ed36e696731195542
    Reviewed-on: https://code.wireshark.org/review/8922
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6625cf5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 14 14:48:14 2015 -0700

    Clean up the ATM dissection a bit.
    
    Have separate dissectors for ATM MPLS pseudo-wire traffic and regular
    traffic.  That way, we can handle the regular traffic dissectors being
    handed private data, e.g. an ATM pseudo-header from libwiretap.
    
    Change-Id: I11e5abfdb1c3a5acc070ddaba8ef53813bc85e1a
    Reviewed-on: https://code.wireshark.org/review/8921
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0e72157
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Jun 2 20:20:32 2015 +0200

    ZVT: add the transaction struct as an argument to the payload functions
    
    Change-Id: Idec2ca4f2db7a10e96c7acb030e0619c4f607b73
    Reviewed-on: https://code.wireshark.org/review/8920
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit ea7896a
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Jun 2 19:54:09 2015 +0200

    ZVT: check the minimum apdu length
    
    Change-Id: Ie86519345556b4a674ff1c7b4527de7219b2a539
    Reviewed-on: https://code.wireshark.org/review/8919
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit f661b3c
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Jun 14 11:30:24 2015 -0700

    Include QUrl.
    
    It's apparently required by Qt4.
    
    Change-Id: Ic5f32b9acd0a244477b7631bff39b3ed5ba86a39
    Reviewed-on: https://code.wireshark.org/review/8918
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d42e0f7
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Jun 14 11:04:51 2015 -0700

    Qt: Enable Drag and Drop in the main window.
    
    Change-Id: I446163dd9e1a277118caab2f7296a3605cb23fd5
    Reviewed-on: https://code.wireshark.org/review/8917
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5432151
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 14 08:33:58 2015 -0700

    [Automatic update for 2015-06-14]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Id3ff0d609b0a34066c3d23053b8d8bbebfc43070
    Reviewed-on: https://code.wireshark.org/review/8914
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit eaf702b
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Jun 12 19:54:43 2015 +0200

    ber: fix undefined shift
    
    Fixes this UBSan warning:
    
        epan/dissectors/packet-ber.c:1917:23: runtime error: left shift of
            54645397829836991 by 8 places cannot be represented in type
            'long int'
    
    Integers are two's complement, so really just cast it to unsigned to
    avoid undefined behavior and still set the upper bit.
    
    Change-Id: Ia5d080ae8b9dd39aef5e700daeede5c235b425ea
    Reviewed-on: https://code.wireshark.org/review/8908
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 8e746bd
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Jun 13 14:31:42 2015 +0200

    MPLS: always display payload when no 'Decode As' preference is set
    
    Based on the heuristic suggested by Jasper, check whether ethertype matches
    IPv4, ARP, RARP, VLAN or IPv6 and decode payload as Ethernet PW (CW heuristic)
    by default. Otherwise display payload as data by default.
    This can be overridden by the 'Decode As' configuration.
    
    Follow up of g7ca0472
    
    Bug: 11271
    Change-Id: Idb2ce1f8b967813a8f4a5e29e6005d5442729395
    Reviewed-on: https://code.wireshark.org/review/8912
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a57398d
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Fri Jun 12 10:58:37 2015 +0100

    Fix some CMake compiler tests for Win64
    
    Change-Id: I03244b48e6593d1fe5f4d139fa5d171debeb9fd7
    Reviewed-on: https://code.wireshark.org/review/8909
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 905506f
Author: David Ameiss <david@ameissnet.com>
Date:   Mon Jun 8 15:30:02 2015 -0500

    Cleanup and hardening for the Aeron dissector.
    
    Change-Id: Iee544315401784b097ab05e6de5e5c950b622c80
    Reviewed-on: https://code.wireshark.org/review/8877
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a7f2b7f
Author: Petr Gotthard <petr.gotthard@honeywell.com>
Date:   Fri Jun 12 16:57:07 2015 -0700

    AMQP 1.0: Fix dissection of UUID datatypes
    
    Set a correct data length: 16-bytes, not 1-byte. And use the
    standard function to print the uuid.
    
    Change-Id: Ic4cc8d8de3f469e43664fbd7f6eb89083dc83be6
    Reviewed-on: https://code.wireshark.org/review/8905
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 70fa77f
Author: Petr Gotthard <petr.gotthard@honeywell.com>
Date:   Fri Jun 12 15:41:04 2015 -0700

    AMQP 1.0: Don't treat decimal[32|64|128] as packet errors
    
    Packets with a decimal datatype should be correctly dissected.
    Yet, we still cannot display the decimal floating-point numbers as
    there is no support in printf and glib.
    
    Change-Id: I48a6dafd1e12ab55f660fad37a759dd16a9cf4b1
    Reviewed-on: https://code.wireshark.org/review/8902
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit de3997e
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue May 19 11:41:38 2015 +0200

    Qt/Bluetooth/ATT: Add SaveAsImage option for table
    
    Also remove CopyAll button and move this option to table's context menu,
    where "Save as image" is placed.
    
    Change-Id: Ifbdd0c1625f449cb2af33a6cf2de2d282e4c6e6e
    Reviewed-on: https://code.wireshark.org/review/8900
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Michal Orynicz <michal.orynicz@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 3966e51
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue May 19 10:01:20 2015 +0200

    Qt/Bluetooth/ATT: Fix behaviour when capture file is closed
    
    Disable go to frame and control components when capture is closed.
    You can only browse data and copy them.
    
    Change-Id: I05aee5eae5f91f39ab3bb942afdf9000d9b86add
    Reviewed-on: https://code.wireshark.org/review/8899
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit a220761
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed May 27 15:37:42 2015 +0200

    Bluetooth: SDP: Fix alone DID attributes
    
    Fix "malformed" packets where there is only one attribute of DID.
    
    Change-Id: If71ec66e09edbb7c1ca2ebf97acbf65cc52ab038
    Reviewed-on: https://code.wireshark.org/review/8898
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 1d0d82a
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon May 18 14:47:38 2015 +0200

    Bluetooth: Device name is UTF-8, not ASCII
    
    Change-Id: I14578ea9e23dcc3431176b119fa4bbc4eea907c8
    Reviewed-on: https://code.wireshark.org/review/8897
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 0fb5807
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue Jun 9 14:59:53 2015 +0200

    androiddump: Fix socket resource leak
    
    Change-Id: I79cadef71d3d6f8e44c6a66045fb150119e0b40e
    Reviewed-on: https://code.wireshark.org/review/8896
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 9813013
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Tue Jun 9 11:25:37 2015 +0200

    androiddump: Fix Bluetooth External Parser
    
    Be careful when use char buffer [aka signed char] with arithmetic and thinking
    in unsigned logic. Also add missing rules for SCO.
    
    Change-Id: I3fbb0407c74215719103e08344be8f673a7deedf
    Reviewed-on: https://code.wireshark.org/review/8895
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 91ed2b0
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Thu Jun 11 19:54:23 2015 +0100

    Squelch PortAudio warnings on Windows x64 cmake build
    
    pa_win_wmme.c generates 4 warnings due to converting size_t down to a long
    All 4 get the size_t from a strlen() call on a device path so are unlikely
    to exceed a long.
    
    Change-Id: I1d768b96abf42514149db067b24c98d0b9bdfaed
    Reviewed-on: https://code.wireshark.org/review/8893
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit db686d8
Author: Slava Shwartsman <slavash@mellanox.com>
Date:   Wed Jun 3 11:48:45 2015 +0300

    Add RPCoRDMA dissector
    
    Add support for RPCoRDMA and as a result support NFSoRDMA protocol
    
    Bug:11251
    
    Change-Id: I1a4af1b4e6b344224f5ce0efa77d7dbfca8aae46
    Signed-off-by: Slava Shwartsman <slavash@mellanox.com>
    Signed-off-by: Yan Burman <yanb@mellanox.com>
    Reviewed-on: https://code.wireshark.org/review/8758
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6fe0751
Author: Marko Hrastovec <marko.hrastovec@gmail.com>
Date:   Thu Jun 11 10:09:51 2015 +0200

    Asterix dissector can now dissect ASTERIX Category 004.
    
    The code was added to dissect CAT004.
    
    Change-Id: I7be543468d7df959db6bcef53d21d49846d29990
    Reviewed-on: https://code.wireshark.org/review/8883
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7a927d6
Author: Petr Gotthard <petr.gotthard@honeywell.com>
Date:   Thu Jun 11 22:59:38 2015 -0700

    AMQP 1.0: float/double should be in network byte order
    
    The standard says that (unless otherwise specified) AMQP uses
    network byte order for all numeric values.
    
    Change-Id: I3ca154a6fb882d9194a9af891f92f760aae776eb
    Reviewed-on: https://code.wireshark.org/review/8889
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 74421b3
Author: Petr Gotthard <petr.gotthard@honeywell.com>
Date:   Thu Jun 11 22:30:58 2015 -0700

    AMQP 1.0: 'char' should be 4-bytes UTF32
    
    Change-Id: I219b65fd989e1811eda9e2b7197148e6b22ef97a
    Reviewed-on: https://code.wireshark.org/review/8887
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f0c0081
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jun 11 10:20:38 2015 -0700

    Mark items unused or rarely-used as appropriate.
    
    Change-Id: Id9c046333dedd6f22d476083f395ef72a52c8439
    Reviewed-on: https://code.wireshark.org/review/8888
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit aa8a171
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Tue Jun 9 20:40:30 2015 -0400

    Search for the Lua (version < 5.3) package first: it's the most common case.
    
    Change-Id: I5a74870c491d46e538200f2b275b1608c0afecd4
    Ping-Bug: 11219
    Reviewed-on: https://code.wireshark.org/review/8865
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 7907b82
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 2 10:09:57 2015 +0200

    .mailmap: Update .mailmap for fix some name / duplicate entry
    
    Change-Id: If0ea60700dab808f1b2851396190df55e470c60a
    Reviewed-on: https://code.wireshark.org/review/8732
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 4c3677e
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jun 10 21:59:31 2015 -0400

    Replace tabs in files with editor modeline "expandtab"
    
    Change-Id: I4667fd4091c510a4c798f79dae333a07dc42dad6
    Reviewed-on: https://code.wireshark.org/review/8880
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit dcf69bb
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 10 22:14:01 2015 +0200

    BER: fix call to proto_tree_add_bytes_format()
    
    The start_ptr parameter was missing.
    
    Bug: 11264
    Fixes: 8ccf65bfb244 Eliminate proto_tree_add_text from a few dissectors.
    Change-Id: I52a59fe572cd1d0da8c6eb64e703752f5e352ed6
    Reviewed-on: https://code.wireshark.org/review/8878
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Peter Wu <peter@lekensteyn.nl>

commit e66e37b
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Jun 1 13:17:24 2015 +0200

    ZVT: use the transaction info to set source and destination address
    
    Change-Id: Ieef2747ce7cc42f0f1b56dd48268d65b1875a5d6
    Reviewed-on: https://code.wireshark.org/review/8879
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 1e58cf4
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jun 10 08:54:16 2015 -0400

    Provide port names for UDP ports so they can be used in filter expressions.
    
    Change-Id: I134290624d40b7a14c3aaeb2f0793838a411805e
    Reviewed-on: https://code.wireshark.org/review/8876
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 547059d
Author: Jakub Zawadzki <darkjames-ws@darkjames.pl>
Date:   Mon Jun 8 22:22:55 2015 -0400

    Provide port names for TCP ports so they can be used in filter expressions.
    
    Bug: 594
    Change-Id: Ib41c4c753e24ac78b39463ab1daae7fd00631230
    Reviewed-on: https://code.wireshark.org/review/8851
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 963db3a
Author: Roland Knall <roland.knall@br-automation.com>
Date:   Wed Jun 10 10:19:21 2015 +0200

    epl: Add config option for dupl. cmd layer
    
     Allow the command layer to be shown for duplicated frames
     if needed for deep-packet analysis
    
    Change-Id: I2e0026b6e448ebfd96f879f2f002a6f30a0a5031
    Reviewed-on: https://code.wireshark.org/review/8874
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8e5d60b
Author: Roland Knall <roland.knall@br-automation.com>
Date:   Fri Jun 5 09:30:39 2015 +0200

    openSAFETY: Fix smaller bugs in detection and tap
    
     - Add b16 counter to SPDO Time Request/Response
     - Mark generated time fields as generated
     - Fix +1 addition for frameOffset
     - Fix CRC2 calculation for subframes with just 5 bytes datalength
    
    Change-Id: I59ef7bf445de47c2bd165ae0f94d64d9f11d636b
    Reviewed-on: https://code.wireshark.org/review/8875
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3f64384
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Jun 9 17:03:13 2015 +0200

    [MSVC 2015] Use intptr_t to make MSVC happy.
    
    Change-Id: I1a39495bc2a752070db8c62136b17d9567bc33ab
    Reviewed-on: https://code.wireshark.org/review/8856
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6f675b5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jun 9 23:48:06 2015 +0200

    tshark: fix computation of iostat table width when specifying an interval
    
    Bug: 11262
    Change-Id: I57468d1e96ade8926a2911bd035adf85500eba39
    Reviewed-on: https://code.wireshark.org/review/8860
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit fd82fd4
Author: cturney <cturney@charter.net>
Date:   Mon Jun 8 18:01:22 2015 -0400

    NFSv4: A zero attribute mask is acceptable in dissect_nfs4_fattrs() if
    'type' = FATTR4_BITMAP_ONLY
    
    This patch updates the code accordingly.
    
    
    Vars 'num_bitmaps', and 'count' are declared as guint8 but being passed to
    32-bit fields of proto_tree_add_uint() and tvb_ensure_bytes_exist(). In
    glibconfig.h 'guint8' is defined as 'typedef unsigned char guint8;' and in
    'limits.h', ‘char’ is defined as 8 bits: #define CHAR_BIT 8  /* number of
    bits in a char */. These vars have been changed to 32-bits.
    
    There are 22 other dissectors that call "tvb_ensure_bytes_exist()". In
    addition, there are an 215 CHECK_BYTE_COUNT_SUBR macro calls in
    packet-smb.c which essentially do the same thing. README.developer does
    state "you can check whether the data is present by using
    "tvb_ensure_bytes_exist()" although this frequently is not needed." This
    call has been removed in accordance with that statement.
    
    Bug: 10483
    Change-Id: Ib06ab14254882e9110af265d2d67a66dcce694f2
    Reviewed-on: https://code.wireshark.org/review/8847
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f389fb5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 9 21:20:15 2015 -0700

    It's INVALID_HANDLE_VALUE, not INVALID_HANDLE.
    
    Change-Id: I71d18ced0a1bd3438498230b6e647697be8e275d
    Reviewed-on: https://code.wireshark.org/review/8872
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 62c3bc3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 9 20:09:40 2015 -0700

    Squelch some type-clash warnings on Windows.
    
    Define WS_INVALID_PID to be the appropriate "there is no process" value.
    On UN*X, -1 works; the "pid" is actually a HANDLE for the process on
    Windows, so INVALID_HANDLE is appropriate.
    
    Cast HANDLE to intptr_t in the _cwait() call.
    
    Change-Id: Ica2d2319f5c95ba41f590776a745fe040fe494d2
    Reviewed-on: https://code.wireshark.org/review/8871
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a10a41f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 9 18:54:54 2015 -0700

    Rename wsutil/process.h to wsutil/processes.h to avoid collisions.
    
    The MSVC rules for searching for headers are a huge barrel of fun; it
    appears that, for some files that need the MSVC <process.h> to declare
    getpid(), they're getting our <wsutil/process.h> instead, as that's in
    the current directory.  Rename it to avoid the collision.
    
    Change-Id: I88eb70237062fa7957e38d7ff8132524390a6a5c
    Reviewed-on: https://code.wireshark.org/review/8870
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 55267bd
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 9 18:08:52 2015 -0700

    Make sure we include <windows.h> to get HANDLE declared.
    
    Change-Id: I8cba1120f4667864eadeebd48bcdced3a2b71f4c
    Reviewed-on: https://code.wireshark.org/review/8867
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit af9f074
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 9 17:55:03 2015 -0700

    One more ws_process_id change.
    
    Change-Id: I21dc38c248f4412e8f48e7dfd54aa12497167e5a
    Reviewed-on: https://code.wireshark.org/review/8866
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f023aa1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 9 17:31:53 2015 -0700

    Get rid of extra blank line at the end.
    
    Change-Id: Ibe7904b7e01a1b0b81ba20673cd85e08ebf660c2
    Reviewed-on: https://code.wireshark.org/review/8863
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2e76bb4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 9 17:30:15 2015 -0700

    Use pid_t on UN*X, and HANDLE on Windows, for the process ID.
    
    This avoids type punning; at least with Xcode 7 beta on El Capitan beta,
    that produces warnings that get turned into errors.
    
    Change-Id: I57f47455b9630f359828c07c92a190b5cb33816f
    Reviewed-on: https://code.wireshark.org/review/8862
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3944e55
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 9 16:37:12 2015 -0700

    Clean up --with-qt handling.
    
    If you don't specify --with-qt or --without-qt, we build with Qt iff we
    find it; we don't fail if we don't find it.
    
    If you specify --with-qt, we build with Qt if we find it and fail if we
    don't find it.
    
    If you specify --without-qt, we don't look for Qt and don't build with
    it.
    
    This is all independent of --with-gtk2 or --with-gtk3.
    
    Change-Id: I508d3281192bda9168fc46aba6011687c83ef818
    Reviewed-on: https://code.wireshark.org/review/8861
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cc1849b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jun 9 22:02:29 2015 +0200

    Qt: fix a V595 warning reported by PVS-Studio
    
    The 'cur_item' pointer was utilized before it was verified against nullptr.
    
    Change-Id: I46185f24cf5700e2137f6e40bed45575197c36e7
    Reviewed-on: https://code.wireshark.org/review/8858
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 0d471c3
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jun 9 22:05:55 2015 +0200

    GTK: fix a V610 warning reported by PVS-Studio
    
    Unspecified behavior. Check the shift operator '>>'. The left operand '(- 1)' is negative.
    
    Change-Id: I508d451736830a150b8839aa6353ee4c7bcf848f
    Reviewed-on: https://code.wireshark.org/review/8859
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 4e60e8f
Author: Anders <anders.broman@ericsson.com>
Date:   Tue Jun 9 10:13:29 2015 +0200

    [MSVC 2015] Use intptr_t for "pointer stored as int" to make MSVC happy.
    
    Change-Id: I5dbbea8527a8bb73b17e5a8a5611c3923d82459c
    Reviewed-on: https://code.wireshark.org/review/8852
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c4fbede
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Jun 9 09:16:26 2015 -0400

    Remove the executable bit from epan/addr_resolv.c
    
    It was added (presumably by accident) in 41ac67c.
    
    Change-Id: If9c2daae6d9f6a0f09fc04c5332faeaa69d355c2
    Reviewed-on: https://code.wireshark.org/review/8855
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 97dfbf5
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Sun Apr 26 14:22:05 2015 +0100

    Add PortAudio to Windows CMake build
    
    Change-Id: I774ff0bf858280f2a5aa551ae1a5e23eedf8dc20
    Reviewed-on: https://code.wireshark.org/review/8848
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 9cb09a2
Author: Anders <anders.broman@ericsson.com>
Date:   Tue Jun 9 12:45:03 2015 +0200

    [MSVC 2015] Change the check to look for MSVC 2010 or newer rather than
    adding MSVC 2015
    
    Change-Id: I151be089529f2bb460b313f84a348f51689eb445
    Reviewed-on: https://code.wireshark.org/review/8854
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e187b53
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Thu Jun 4 19:30:35 2015 +0200

    Don't try to clean up uninitialized Lua and crash
    
    Reported to Debian BTS at:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=786704
    
    Change-Id: I3045a68f0dd557bf64ea26a488a1bcece4828fec
    Reviewed-on: https://code.wireshark.org/review/8765
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit 41ac67c
Author: Christopher Maynard <Christopher.Maynard@igt.com>
Date:   Sat Jun 6 20:04:42 2015 -0400

    Fix insertion of subnets read from the subnets file: append to the *end* of
    the list.
    
    The patch ensures that non-duplicate subnets are appended to the end of the
    list rather than as the second element, which if there had been a second
    element previously, the memory for it was effectively leaked.
    
    It also allows /32 "subnets", even though arguably the hosts file should be
    used instead, but now the test in read_subnets_file() matches the assert in
    subnet_entry_set().
    
    Bug: 11247
    Change-Id: I54bf1cbb34edfcf410aa634043a377c27091df51
    Reviewed-on: https://code.wireshark.org/review/8802
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e28339e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 8 21:24:22 2015 +0200

    tshark: add ability to display streams in EBCDIC
    
    As requested in https://ask.wireshark.org/questions/42958/tshark-follow-tcp-stream-for-ebcdic
    
    Change-Id: Ia8d93f59aa038bd6328adea137c92ea5a52361b5
    Reviewed-on: https://code.wireshark.org/review/8844
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0a78e0b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 8 22:48:05 2015 +0200

    tap-macltestat.c: fix some V523 warnings reported by PVS-Studio
    
    The 'then' statement is equivalent to the 'else' statement.
    
    Change-Id: I9e39afed3520cd4dffee52d5e57830817a8c4399
    Reviewed-on: https://code.wireshark.org/review/8846
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit a750581
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 8 22:46:49 2015 +0200

    SMB: fix a V595 warning reported by PVS-Studio
    
    The 'si' pointer was utilized before it was verified against nullptr.
    
    Change-Id: I92faf43160698a548531dceb557cf4153d15d03f
    Reviewed-on: https://code.wireshark.org/review/8845
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f6f690c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 6 15:32:07 2015 +0200

    LBMC: fix Truncation of constant value -16. The value range of unsigned char type: [0, 255] found by PVS Studio (V569)
    
    Change-Id: I5dacce44941ac132172df6d7f343fddd114bd888
    Reviewed-on: https://code.wireshark.org/review/8792
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 2d863b9
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 8 11:33:16 2015 -0700

    Add TapParameterDialog.
    
    Split StatsTreeDialog into StatsTreeDialog and TapParameterDialog (its
    base class). This more closely matches the GTK+ UI and paves the way for
    more statistics dialogs.
    
    Change-Id: I2630385534e829d99724673ade372fcb33200d07
    Reviewed-on: https://code.wireshark.org/review/8842
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2533889
Author: Cal Turney <cturney@charter.net>
Date:   Mon Jun 8 19:18:32 2015 +0000

    Revert "NFSv4: Fix for Bug 10483"
    
    This reverts commit da1766e9871ba1eb4156ebd05c819eee9d91c10f.
    
    I should have set CR-2 because I was working on the following update: According to RFC 5661, a zero attribute mask is acceptable if type FATTR4_BITMAP_ONLY is passed to dissect_nfs4_fattrs(). In addition I found guint8 vars  'num_bitmaps', and 'count' are declared as guint8 but being passed into 32-bit fields of proto_tree_add_uint() and tvb_ensure_bytes_exist().I will push a new patch for review.
    
    Change-Id: I95e55af7fef17d0554f9741aa426feeeb95e2c21
    Reviewed-on: https://code.wireshark.org/review/8843
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 0f36b1c
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Jun 8 10:07:43 2015 -0400

    aeron: fix infinite loop
    
    `dissected_length` can come from the packet in some paths, meaning it can be 0
    or negative and we need to check for underflows and other such problems
    
    Bug: 11255
    Change-Id: Iba55ec1824a391ec1c717bfea5b65cc6610fc081
    Reviewed-on: https://code.wireshark.org/review/8839
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit b30d7b1
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 8 16:09:29 2015 +0200

    PMPROXY: check that pointer is not NULL before doing a strlen
    
    Bug: 11258
    Change-Id: I5c8c17861f79d0b0cc5286fca742ed16e8d4ba74
    Reviewed-on: https://code.wireshark.org/review/8840
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a36ec5a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 6 14:44:58 2015 +0200

    AMQP: fix The 'format_name' variable is assigned to itself found by PVS Studio (V570)
    
    Change-Id: I97cdfc20cc635bccea5c96db33f46cdd970e933a
    Reviewed-on: https://code.wireshark.org/review/8785
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Petr Gotthard <petr.gotthard@centrum.cz>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 845a832
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 8 08:39:02 2015 -0700

    Print "and greater" instead of a ten digit number.
    
    Change-Id: I97dfabe3ec48acf57b33ec15486d2d660d610f6d
    Reviewed-on: https://code.wireshark.org/review/8841
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 69dac89
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Jun 8 00:10:21 2015 +0200

    tcp: simplify tcp.flags.str, fix off-by-one
    
    Observe that tcp_flags_to_str_first_letter is a copy of tcp_flags_to_str
    with the flags[][4] variables copied and the loop variables inverted.
    This misses the FIN bit, and runs past the flags buffer.
    
    Behavior change: for consistency, move the reserved bits to the front
    and print reserved bits individually. Old output / new output:
    
        NCEUAPRSRRR
        RRRNCEUAPRSF
    
    Tested with this pcap with all flag bits set (0x0fff). hexdump:
    
        d4c3b2a1020004000000000000000000ff7f000065000000b6b77455f3ac
        06002800000028000000450000280001000040067ccd7f0000017f000001
        0014005000000000000000005fff2000907f0000
    
    Change-Id: I70e070808d1f0f9cd60eaf4f2b3f4ac6e3cfaada
    Reviewed-on: https://code.wireshark.org/review/8826
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 09e3505
Author: Birol Capa <birol.capa@siemens.com>
Date:   Mon Jun 8 09:19:52 2015 +0300

    Profinet: OEM Device ID is added
    
    The Device ID of the OEM part may additionally be offered using OEM Device ID
    
    Change-Id: Ic51cc4c05a41a8d18f265fb1abab739d1e82e28a
    Reviewed-on: https://code.wireshark.org/review/8832
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 951ddf7
Author: Slava Shwartsman <slavash@mellanox.com>
Date:   Wed Jun 3 11:36:56 2015 +0300

    rpc: Support IB transport
    
    Bug: 11251
    
    Change-Id: I1e6fab86af3c95a5303af90079c99424941b6e6e
    Signed-off-by: Slava Shwartsman <slavash@mellanox.com>
    Reviewed-on: https://code.wireshark.org/review/8759
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7948378
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 8 12:23:34 2015 +0200

    GTPv2: fix indent (use 4 spaces)
    
    Change-Id: I9f20a5797ec0f8f3ae67b1be67d342b256da03ae
    Reviewed-on: https://code.wireshark.org/review/8836
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 049fc49
Author: Anders <anders.broman@ericsson.com>
Date:   Mon Jun 8 09:57:35 2015 +0200

    Fix MSCV 2015RC Warning in_cksum.c(92): warning C4311: 'type cast':
    pointer truncation from 'const guint16 *' to 'unsigned long'.
    
    
    Even if we only require GLIB 2.16 this will fix the Windows build as we do
    have a newer Glib on Windows.
    
    Change-Id: Ie0644536783e8b298de59094fec240e249c9b27f
    Reviewed-on: https://code.wireshark.org/review/8833
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9223567
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 8 11:57:36 2015 +0200

    BGP: fix an infinite loop when finding an invalid length in EVPN NLRI Route Type 5 option
    
    Bug: 11256
    Change-Id: I6fb037d8a3b8b0f22ebea6d08f69fb8afeed90f9
    Reviewed-on: https://code.wireshark.org/review/8835
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit fa64878
Author: Anders <anders.broman@ericsson.com>
Date:   Mon Jun 8 10:10:00 2015 +0200

    [GTPv2] Throttling Delay unit values are not the same as the timer values,
    make a separate Value_string.
    
    Change-Id: I79cb3b9d7261f8fba97f1938464d38c218282cb5
    Reviewed-on: https://code.wireshark.org/review/8834
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 032ad5a
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Fri Jun 5 22:04:29 2015 -0400

    Update how we search for Lua with pkg-config.
    
    First, search for packages with the version number without the period (bug
    11219).
    
    Second, don't look for Lua 5.3 because we don't work with it.  If what we find
    (without pkg-config's help) is Lua 5.3, disable Lua support (bug 10881).
    
    Cmake support by Peter Wu (originally Ie73e5b53640f10432881a9671c0a605f7f027ed8):
    Note the check for "lua<=5.2.99" instead of "lua<5.3" since cmake does not
    support the latter syntax. Tested with lua5.2, lua5.1 and lua (5.3) installed.
    
    Bug: 11219
    Ping-Bug: 10881
    Change-Id: I382d07ca00eafc6111cd4e9faa2b66f6b8f95b6e
    Reviewed-on: https://code.wireshark.org/review/8783
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit da1766e
Author: cturney <cturney@charter.net>
Date:   Tue Jun 2 23:06:58 2015 -0400

    NFSv4: Fix for Bug 10483
    
    Bug: 10483
    Change-Id: Ic0df7d92c6ec2da83ad02796a008f6512d7fdc9b
    Reviewed-on: https://code.wireshark.org/review/8731
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5ce025c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 8 08:00:11 2015 +0200

    Aruba ERM: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: If29fce277b43d287ad9cea47477b19320831c943
    Reviewed-on: https://code.wireshark.org/review/8830
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 71b6be7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jun 7 19:50:42 2015 +0200

    PER: fix indent (use tabs)
    
    Change-Id: I123960f475550b5e3cab9e6eb7eaa6d896fae557
    Reviewed-on: https://code.wireshark.org/review/8815
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a942df9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 8 08:06:44 2015 +0200

    THRIFT: fix function name typo
    
    disscet -> dissect
    
    Change-Id: I0cceaad616d0929a562df3e2ac1b567ffb9ead36
    Reviewed-on: https://code.wireshark.org/review/8831
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0cec384
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Sun Jun 7 21:40:20 2015 -0400

    Register http.unknown_header as an FT_STRING (rather than FT_BYTES).
    
    This avoids assertions when the field is added with proto_tree_add_string*()
    (some of which show up in the fuzzed capture in bug 11254).
    
    Ping-Bug: 11254
    Change-Id: Iaf02f59443da0cf279d65eed049122d4dfaf7bcd
    Reviewed-on: https://code.wireshark.org/review/8829
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit f95db69
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Jun 7 13:46:59 2015 -0400

    Add editor-modelines; Don't use tabwidth=4; Adjust whitespace.
    
    Change-Id: I7c287b176002c48dee6ae44334ee9fad221b4cd3
    Reviewed-on: https://code.wireshark.org/review/8816
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 639fd7d
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jun 6 23:01:39 2015 -0400

    Eliminate proto_tree_add_text from some dissectors.
    
    "file" dissectors are now rid of proto_tree_add_text.
    
    Change-Id: I4e0f7248135e6ce194fcafde47e538db84b964aa
    Reviewed-on: https://code.wireshark.org/review/8828
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2c56c6f
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Jun 7 23:21:14 2015 +0200

    igmp: fix memleak
    
    dissector_add_uint_range walks through ranges and then does not need the
    range anymore. Discovered with `tshark -G fields` and GCC 5.1 + ASAN.
    
    Change-Id: I76f98a6ccee6dbbecc1efb847c358bd6d010e1dc
    Reviewed-on: https://code.wireshark.org/review/8825
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5472e4d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 7 18:09:47 2015 -0700

    Debugging printf.
    
    The buildbot printed "expr: syntax error", presumably from this, but
    that oh-so-descriptive error message doesn't indicate what the problem
    is, and just about any string should be valid as the left-hand operand
    of the : operator.
    
    Change-Id: I1140522357b8df07e4183bf0eb8c5fa9fbe275e4
    Reviewed-on: https://code.wireshark.org/review/8827
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2d757b8
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Sun Jun 7 03:34:22 2015 +0200

    Restore image/expert_ok.png, it is used by GTK+ UI
    
    Change-Id: I22f414ca030dcb701c1b21808cd4356b7c291291
    Reviewed-on: https://code.wireshark.org/review/8805
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit acbc418
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 7 19:40:58 2015 +0200

    NCP: fix V519 warnings reported by PVS-Studio
    
    The variable is assigned values twice successively. Perhaps this is a mistake.
    
    Change-Id: I3b567626c6046be8898db70580e98b339c0c8c2a
    Reviewed-on: https://code.wireshark.org/review/8819
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c100e1c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 7 20:47:11 2015 +0200

    PER: fix V593 warning reported by PVS-Studio
    
    Consider reviewing the expression of the 'A = B == C' kind. The expression is calculated as following: 'A = (B == C)'.
    
    Change-Id: I162a2d081a70cb39b326d3aa2dc4108f49962169
    Reviewed-on: https://code.wireshark.org/review/8821
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ae027ec
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 7 20:39:09 2015 +0200

    NDPS: fix V535 warnings reported by PVS-Studio
    
    The variable 'ii' is being used for this loop and for the outer loop.
    
    Change-Id: I3e6e0e390a646fac62fd46ebf9dcdc56070f7609
    Reviewed-on: https://code.wireshark.org/review/8820
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 093aebf
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 7 18:03:25 2015 +0200

    H248: fix V712 warning reported by PVS-Studio
    
    Be advised that compiler may delete this cycle or make it infinity. Use volatile variable(s) or synchronization primitives to avoid this.
    
    Change-Id: I39104ec09f4c12994d62ed23e7a0cc00829b1255
    Reviewed-on: https://code.wireshark.org/review/8818
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d48fe0d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 7 17:47:25 2015 +0200

    GSM Um: fix V695 warning found by PVS-Studio
    
    Range intersections are possible within conditional expressions. Example: if (A > 0 && A < 5) { ... } else if (A > 3 && A < 9) { ... }.
    E-GSM and R-GSM EARFCNs are overlapping, as seen in 3GPP TS 05.05.
    
    Change-Id: I5b9be53ba85109a674b05ae16cd729557cec6318
    Reviewed-on: https://code.wireshark.org/review/8817
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 7fc302e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 7 08:08:43 2015 -0700

    [Automatic update for 2015-06-07]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I8051df9353cdce000f3b76229df1b2bf7e6b0d57
    Reviewed-on: https://code.wireshark.org/review/8811
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit cefe9d3
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 7 16:16:37 2015 +0200

    ECP: fix V562 warning reported by PVS-Studio
    
    It's odd to compare 0 or 1 with a value of 1: ((entries > 1)) == 1.
    
    Change-Id: I6261389dddbbd7e60e98b8c351150d491f9cbddb
    Reviewed-on: https://code.wireshark.org/review/8810
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 83351a9
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 7 16:01:30 2015 +0200

    iax2_analysis.c: fix V610 warning reported by PVS-Studio
    
    Unspecified behavior. Check the shift operator '>>'. The left operand '(- 1)' is negative.
    
    Change-Id: Icdb999c2df0e7843086ec811ca4747876fbf2424
    Reviewed-on: https://code.wireshark.org/review/8809
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 6e58ae3
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 7 15:08:18 2015 +0200

    dwarf.c: fix V629 warning reported by PVS-Studio
    
    Consider inspecting the '1 << shift' expression. Bit shifting of the 32-bit value with a subsequent expansion to the 64-bit type.
    
    Change-Id: I9939f3c471fcbbb033bbd5f846b9e09e8b8fd125
    Reviewed-on: https://code.wireshark.org/review/8808
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 99d56fb
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Jun 6 19:29:21 2015 +0200

    airpdcap: fix V512 warning reported by PVS-Studio
    
    A call of the 'memcpy' function will lead to the '& tmp_key' buffer becoming out of range.
    
    Change-Id: I615a6c3e0dab8cfc2d240b6b39cff387e0689f35
    Reviewed-on: https://code.wireshark.org/review/8796
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit e9c9473
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jun 7 12:04:28 2015 +0200

    NFS: do not use reported remaining length as the backing length
    
    Otherwise it could throw an exception if captured length < reported length
    
    Change-Id: Ia9eb2778dbfebc1865a0040020a62ba20882b482
    Reviewed-on: https://code.wireshark.org/review/8804
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ad0b29c
Author: Tom Haynes <loghyr@primarydata.com>
Date:   Sat Jun 6 14:53:01 2015 -0700

    nfs: Git rid of deprecated tvb_length,tvb_length_remaining
    
    Signed-off-by: Tom Haynes <loghyr@primarydata.com>
    
    Change-Id: I413a77903c8a56cb722e38ff9f64cf3d9c668ed8
    Reviewed-on: https://code.wireshark.org/review/8801
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 8d7e0fc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 6 12:29:24 2015 -0700

    Don't initialize a variable if the first thing we do is set it.
    
    Change-Id: I14e8a15fdea1526c1c4bd2a0f19925ff41c15608
    Reviewed-on: https://code.wireshark.org/review/8800
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b950c08
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 6 12:19:26 2015 -0700

    Use %zu, not %zd, to print a size_t value (%zd would be for ssize_t).
    
    Change-Id: I3aee7028cc43ca487492b0c5c6872be5c52d1a80
    Reviewed-on: https://code.wireshark.org/review/8799
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cd2e901
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Jun 1 07:53:45 2015 +0200

    ZVT: call zvt_set_addresses() for each apdu
    
    the pinfo parameter is not unused btw
    
    Change-Id: Id038979cb64e858aa0b7b44ca8c6e3d4b7d2d05e
    Reviewed-on: https://code.wireshark.org/review/8798
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 6b65437
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun May 31 19:02:29 2015 +0200

    ZVT: match requests and responses
    
    Change-Id: Idc6fc8fb21ee2e096e92e590c9b27c8363fced4f
    Reviewed-on: https://code.wireshark.org/review/8797
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit da8c79d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 6 16:18:41 2015 +0200

    ui/follow: fix The 'find_addr[UDP_STREAM]' variable is assigned values twice successively. Perhaps this is a mistake. Found by PVS Studio (V519)
    
    Yes, there is a mistake !
    
    Change-Id: I6c6c67300c0e05d3ede00be27f675cc8b15bb439
    Reviewed-on: https://code.wireshark.org/review/8794
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit be701f6
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Jun 6 17:03:30 2015 +0200

    ISAKMP: fix dissection when building with libgcrypt
    
    Regression introduced in gb5b3a6b
    
    Change-Id: I26b9d703a40ca92703fd3e2a749386996667ea4c
    Reviewed-on: https://code.wireshark.org/review/8795
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ac9f248
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 6 16:01:51 2015 +0200

    SKYPE: fix The use of 'if (A) {...} else if (A) {...}' pattern was detected. There is a probability of logical error presence found by PVS Studio (V517).
    
    Yes, there is a bug ! :-)
    
    Change-Id: I16319e6441575b9d7b702e6b23f7a7996ef85523
    Reviewed-on: https://code.wireshark.org/review/8793
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 027b0cb
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 6 15:29:01 2015 +0200

    SMB2: There are identical sub-expressions to the left and to the right of the '&&' operator: si && si->saved && si->saved found by PVS Studio (V501)
    
    Change-Id: I9323ee98bd0f4b9b6d8c6921e99d32ad62a5f18f
    Reviewed-on: https://code.wireshark.org/review/8791
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 3cc1178
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 6 15:19:44 2015 +0200

    SCSI: There are identical sub-expressions 'tvb_reported_length_remaining(tvb, offset)' to the left and to the right of the '!=' operator found by PVS Studio (V501)
    
    Change-Id: Iaf7ea99e983d3b42dedf2620250dec0f3d68f937
    Reviewed-on: https://code.wireshark.org/review/8790
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 31f5e79
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 6 15:17:28 2015 +0200

    DCERPC: There are identical sub-expressions 'tvb_reported_length(tvb)' to the left and to the right of the '==' operator found by PVS Studio (V501)
    
    Change-Id: I6cd745d07c89a5fa08ef976bab406f96cdae2881
    Reviewed-on: https://code.wireshark.org/review/8789
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 6c2de57
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 6 15:13:53 2015 +0200

    DCC: fix There are identical sub-expressions 'tvb_get_guint8(tvb, offset + 4)' to the left and to the right of the '|' operator found by PVS Studio (V501)
    
    Change-Id: I8c71ee5b0c07f7ee9a4b64fee4ac226918ed4307
    Reviewed-on: https://code.wireshark.org/review/8788
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 9d3e8f9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 6 15:12:55 2015 +0200

    BER: fix There are identical sub-expressions 'tvb_reported_length_remaining(tvb, offset)' to the left and to the right of the '==' operator found by PVS Studio (V501)
    
    Change-Id: I9e462461c66f2f3338a059b64dbc28682df94ae2
    Reviewed-on: https://code.wireshark.org/review/8787
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit b5b3a6b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 6 12:35:16 2015 +0200

    ISAKMP: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I06d09d5d0d54c96e18d9b423999cb309559612dd
    Reviewed-on: https://code.wireshark.org/review/8784
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 04f0847
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 28 19:44:21 2015 +0200

    IEEE 802.11: Add a option for disable FCS check
    
    Bug:11205
    Change-Id: Ia3bc63dbb1504381b58f9e31b56412574ec96f4e
    Reviewed-on: https://code.wireshark.org/review/8675
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit ac51c09
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 31 18:53:45 2015 +0200

    Aruba ERM: Use decode AS for decode Aruba ERM Type..
    
    Change-Id: I4c0813a273e88b16dcad7996dc1dcaaac3d01944
    Reviewed-on: https://code.wireshark.org/review/8712
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 7e2e8ef
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 31 17:48:55 2015 +0200

    Aruba ERM: Fix FCS for Type 1 (PEEK)
    
    Type 1 is Peek type (using Peek dissector)
    Peek dissector is also update for Cisco AP, Pass info to peek dissector it is "Aruba PEEK" (with buggy FCS)
    
    Add also check of signal value (when signal strength = 100%) it is a TX packet and there is no FCS
    
    Bug:11204
    
    Change-Id: I435e0e3275bc0a03fa534e49e86251114f568040
    Reviewed-on: https://code.wireshark.org/review/8710
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 8d46c41
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu May 21 13:51:23 2015 +0200

    Aruba ERM: Fix FCS for Type 3
    
    Add a check of signal value (when signal strength = 100%) it is a TX packet and there is no FCS
    Only work for Type3 (no signal information on Type 0)
    
    For type 0, Always display the FCS
    
    Bug:11204
    Change-Id: I837f8c01c0d0284ecb218b6b03fa9ac025fac5f2
    Reviewed-on: https://code.wireshark.org/review/8569
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c365dff
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 2 11:36:43 2015 +0200

    TCP: Add (generated) field with first letter of TCP Flags
    
    from help TCP Troubleshooter
    Based on http://blog.didierstevens.com/2014/04/28/tcp-flags-for-wireshark/
    
    Change-Id: I115717f738a77dd1b22cefa8f646bcdbe9884ec2
    Reviewed-on: https://code.wireshark.org/review/8733
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit a365fb8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 5 18:39:41 2015 -0700

    Print unsigned long values with %lu, not %ld.
    
    Change-Id: Ic437f5ec918c1cd4d39eb27e0a4fafb2a2f4b244
    Reviewed-on: https://code.wireshark.org/review/8782
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1736a1b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jun 5 13:44:42 2015 -0700

    Clean up stats_tree_presentation.
    
    Remove some unused struct members and accompanying callbacks.
    
    Change-Id: I64d32ddf886038e8f19bc3f88e86c8d7578db648
    Reviewed-on: https://code.wireshark.org/review/8779
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ab6108c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jun 5 10:06:16 2015 +0200

    Qt: clear Go To Packet text box when opening it
    
    Most of the time you intend to go to a new packet, not to go to the previously selected one.
    This makes it consistent with all the editors I have used so far.
    
    Change-Id: Ib0cde3c8361a8c3103dd05d622eaba4ee7deab78
    Reviewed-on: https://code.wireshark.org/review/8772
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 1ec868e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jun 5 15:43:10 2015 +0200

    Fix a few issues reported by PVS-Studio
    
    See http://www.viva64.com/en/b/0328/ for details
    
    Change-Id: Ic9ddfd690b49401c96cb8a4a277c671f9824be31
    Reviewed-on: https://code.wireshark.org/review/8775
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 244f2fb
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jun 5 21:08:31 2015 +0200

    GTK: fix a crash when switching a column to custom through 'Edit Column Details'
    
    Bug: 11245
    Change-Id: I269d4dc8bd1ec23e3e6be4c9432563b8e275c548
    Reviewed-on: https://code.wireshark.org/review/8778
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit c2b713c
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jun 3 16:26:00 2015 -0700

    Qt: Add the capture and display filter dialog.
    
    Use a single overloaded dialog, similar to the GTK+ UI.
    
    Change-Id: If85db14a7101770f115bef725f5145e0010c518d
    Reviewed-on: https://code.wireshark.org/review/8776
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 198ef94
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jun 5 11:29:49 2015 -0700

    Don't include cfile.h.
    
    Change-Id: I98bc0d02e23abd32796f15bf28ceef0b6ea56d42
    Reviewed-on: https://code.wireshark.org/review/8777
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a36f6c5
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jun 5 12:34:13 2015 +0200

    BGP: MP (UN)REACH NLRI SAFI is 1 octet long
    
    Break when remove proto_tree_add_text (g1307c2255f)
    
    Change-Id: Id5512424180b4834c20fa5416499fc939c06d1ea
    Reviewed-on: https://code.wireshark.org/review/8774
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit be8a7c3
Author: Matthieu Texier <matthieu@texier.tv>
Date:   Thu Jun 4 13:23:14 2015 +0200

    BGP: Add EVPN draft-rabadan-l2vpn-evpn-prefix-advertisement support
    
    Bug: 11252
    Change-Id: I125e3075125451d2cbeac6cc183977e73040887f
    Reviewed-on: https://code.wireshark.org/review/8767
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 5061da3
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 4 21:54:44 2015 +0200

    iSCSI: handle repetition of InitiatorTaskTag fore request / response tracking
    
    Use a red-black tree instead of a hash map so as to take he current frame number into account
    Only insert entries in the red-black tree on first pass
    
    Bug: 11250
    Change-Id: Ic6e4a5e4f3cd4a22c2df0b8851c6651695648fa8
    Reviewed-on: https://code.wireshark.org/review/8763
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 509eb46
Author: David Ameiss <david@ameissnet.com>
Date:   Mon Mar 2 10:42:44 2015 -0600

    Add dissector for the Aeron protocol.
    
    Bug: 11164
    
    Change-Id: I7ed6a3fd18aaadfc9b7b9619b1035206e86f46d6
    Reviewed-on: https://code.wireshark.org/review/8240
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d3c0b50
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri Apr 17 19:14:13 2015 +0200

    ZVT: start dissecting the tlv container
    
    Change-Id: I555e4f487fb5aafa61dabfcab784dad5e71510ec
    Reviewed-on: https://code.wireshark.org/review/8769
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit dd26d59
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun May 31 18:31:24 2015 +0200

    DVB-CI: minor cleanup
    
    tvb_length -> tvb_captured_length
    copyright ... - 2015
    
    Change-Id: Id3043725edda2b59c06d17de41c8dfc8ea4ae11c
    Reviewed-on: https://code.wireshark.org/review/8768
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 8da4d22
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 4 23:32:14 2015 +0200

    Fix decryption test suite on Windows
    
    Change-Id: Ib8207d56a7e064855ce1444c927913c9c9258788
    Reviewed-on: https://code.wireshark.org/review/8766
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit c62546a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 4 23:00:32 2015 +0200

    Ensure that run_and_catch_crashes has UNIX/POSIX line endings
    
    Change-Id: If7b5047c15c747ac306960003c60a3ccd35f3e51
    Reviewed-on: https://code.wireshark.org/review/8764
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 5f9a52d
Author: Kevin Grigorenko <kevin.grigorenko@us.ibm.com>
Date:   Wed Jun 3 14:42:51 2015 -0500

    SSL: Add support for private key password when decrypting
    SSL traffic from tshark with -o ssl.keys_list.
    
    
    For example, as used in a new test also added in this commit:
    
    -o "ssl.keys_list: 127.0.0.1,9131,http,$TEST_KEYS_DIR/key.p12,WebAS"
    
    Change-Id: Ia6960fa4ae88182277f6d22d84ec9170ea74d54e
    Reviewed-on: https://code.wireshark.org/review/8746
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit fde38c0
Author: Anders <anders.broman@ericsson.com>
Date:   Thu Jun 4 16:12:04 2015 +0200

    [MSVC 2015] Try to fix warinings turned errors.
    
    Change-Id: Ife5aba55d6953fbd3874095f2e469a844ca8ef2e
    Reviewed-on: https://code.wireshark.org/review/8762
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 505d303
Author: Anders <anders.broman@ericsson.com>
Date:   Thu Jun 4 15:37:53 2015 +0200

    packet-pmproxy.c:94: warning: implicit conversion shortens 64-bit value
    into a 32-bit value
    
    Change-Id: Ib741ad1c4f237ca921c01c86a521a238cdf25e8f
    Reviewed-on: https://code.wireshark.org/review/8761
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8d78077
Author: Anders <anders.broman@ericsson.com>
Date:   Thu Jun 4 14:28:40 2015 +0200

    [MSVC2015] TRy to fix Warnings turned errors.
    
    Change-Id: I1156e66daad84004f4f7acae0175fcbb475db71a
    Reviewed-on: https://code.wireshark.org/review/8760
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 539418c
Author: Birol Capa <birol.capa@siemens.com>
Date:   Thu Jun 4 07:35:35 2015 +0300

    Profinet: Add Fiber Optic Diagnosis Info.
    
    This make reading fiber optic diagnosis data possible.
    
    Change-Id: I90b49443ffa1b69912d37cbf7a751328eec9d590
    Reviewed-on: https://code.wireshark.org/review/8750
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 97255b3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jun 4 11:55:32 2015 +0200

    P1: fix  request for implicit conversion from 'gpointer' to 'struct p1_address_ctx_t *' not permitted in C++ [-Wc++-compat]
    
    Change-Id: I43364dda21abe3281fbd15ad953232093bb1fffa
    Reviewed-on: https://code.wireshark.org/review/8756
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 1ab7a46
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jun 4 11:01:51 2015 +0200

    rtp/pm proxy: fix implicit conversion shortens 64-bit value into a 32-bit value
    
    packet-pmproxy.c:93: warning: implicit conversion shortens 64-bit value into a 32-bit value
    packet-pmproxy.c:94: warning: implicit conversion shortens 64-bit value into a 32-bit value
    packet-pmproxy.c:95: warning: implicit conversion shortens 64-bit value into a 32-bit value
    packet-rtpproxy.c:831: warning: implicit conversion shortens 64-bit value into a 32-bit value
    
    Change-Id: Ibf1491c1e56dfe6684fe2fe67edc1a721d5de56f
    Reviewed-on: https://code.wireshark.org/review/8753
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 83b6af0
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jun 4 11:01:24 2015 +0200

    ISAKMP: fix build about unused variable
    
    Change-Id: Id55eeb6d4c29088dec97b270aca61f8c5d777a46
    Reviewed-on: https://code.wireshark.org/review/8752
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d67c163
Author: Ryan Doyle <ryan@doylenet.net>
Date:   Sun May 31 13:48:44 2015 +1000

    Dissection support for pmproxy
    
    Implements dissection for the Performance Co-Pilot proxy protocol. Its a
    simple protocol that exchanges host and port information and then passes
    all traffic via the usual PCP protocol.
    
    Change-Id: I54fbf6b7755b7b1c60e0e1696ac9c4f0d98d8fe7
    Reviewed-on: https://code.wireshark.org/review/8704
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3059601
Author: Peter Lemenkov <lemenkov@gmail.com>
Date:   Fri May 22 18:49:55 2015 +0300

    [RTPproxy] Simplify positive reply parsing and minor cleanups
    
    * Merge both 'positive reply' and 'version ack' processing into one block.
    * Also use realsize where possible instead of recalculating packet's size
    again.
    * Add a bit more comments.
    * Remove some 'magic' numbers. Use actual string sizes instead.
    * Skip trailing zeroes inserted by some old SIP-servers.
    
    Change-Id: Ie66aa4d6e807a1f351b62d36333301fdec1550fa
    Signed-off-by: Peter Lemenkov <lemenkov@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/8738
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8ccf65b
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jun 3 23:18:42 2015 -0400

    Eliminate proto_tree_add_text from a few dissectors.
    
    Change-Id: Ia6b62fae76ae76a2859ec47229e1c299bddb5a31
    Reviewed-on: https://code.wireshark.org/review/8749
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 524ed1d
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Jun 3 22:16:37 2015 -0400

    WCCP: Fix up storing and decoding of IP addresses.
    
    Try to decode as many IP addresses as we can, even if they don't fit in the
    table we store them in.
    
    Only add IP addresses in the table once.  We could theoretically reallocate
    the table but the original code seems to assume the addresses should (in
    non-fuzzed captures) only show up once per PDU.  This part of the change fixes
    the fuzz failure.
    
    Bug: 11153
    Change-Id: I56b9854ac1342080c9f32699a3f97750fa335696
    Reviewed-on: https://code.wireshark.org/review/8748
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e309d9e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 4 00:05:52 2015 +0200

    MIME Multipart: fix display of the last IMF field
    
    Regression was introduced in g23f0e16
    
    Bug: 11249
    Change-Id: I2822a4452d3cdf2e53e5f3f1f3034e758fec129b
    Reviewed-on: https://code.wireshark.org/review/8747
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit dbcd2a2
Author: Anders <anders.broman@ericsson.com>
Date:   Wed Jun 3 16:14:42 2015 +0200

    Use the GPOINTER_TO UINT macro rather than trying to do the casts
    manually. This makes MSVC 2015 happy.
    
    Change-Id: I50ebcb5860863cd6e212bb0964998292a46075f5
    Reviewed-on: https://code.wireshark.org/review/8744
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6148cd3
Author: Shinjo Park <peremen@gmail.com>
Date:   Wed Jun 3 17:21:26 2015 +0200

    Update mobile network codes of South Korean mobile networks.
    
    Change-Id: I4f988da98846ebeeba47ace270f64911baaca0b7
    Reviewed-on: https://code.wireshark.org/review/8745
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit ee51661
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jun 3 08:55:37 2015 +0200

    IS-IS (LSP) Add Shared Risk Link Group (SRLG) clv (138)
    
    Bug:11246
    Change-Id: I303de72cda8e667dcd3ccd1af3f2989123718544
    Reviewed-on: https://code.wireshark.org/review/8743
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4490d5e
Author: anilkumar911 <anilkumar911@gmail.com>
Date:   Thu May 28 14:38:56 2015 +0530

    Netscaler: Fix issue where packets were lost when selected packets were exported
    
    Only this issue with a netscaler trace file
    
    Bug: 11248
    Change-Id: I2bc2cae5c988eeff7bdd08471bf421faafcd4e73
    Reviewed-on: https://code.wireshark.org/review/8672
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 53f3d7c
Author: Roland Knall <rknall@gmail.com>
Date:   Tue Jun 2 23:17:27 2015 +0200

    openSAFETY: Fix false-positive
    
     - The starting offset for a consecutive frame search was off by 1
    
    Change-Id: Ife77f9823e7e6d9a6601dba9c4cca74984e4ed40
    Reviewed-on: https://code.wireshark.org/review/8741
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 360a7ec
Author: Anders <anders.broman@ericsson.com>
Date:   Tue Jun 2 15:23:33 2015 +0200

    G_STRUCT_OFFSET gives warnings turned errors with MSVC2015,
    use offsetof if defined or define it ourselfs as done in other
    places in our code base.
    
    Change-Id: Ia1c72c9648336e93ba8c14d4bc0371d782835370
    Reviewed-on: https://code.wireshark.org/review/8735
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bef4da8
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Tue Jun 2 18:31:21 2015 +0100

    ISAKMP: Don't complain about zero-length config attributes in request messages - this is expected
    
    Change-Id: I1cedb7d84ca7e4c2af30405f5624a327fd796c86
    Reviewed-on: https://code.wireshark.org/review/8739
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 2adeb99
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Tue Jun 2 22:11:56 2015 +0100

    Fix OSX CMake warnings
    
    Set the CMake policy for CMP0042 to old
    
    Change-Id: I2b71e1d8d9b9b90ede11df1a7874a2360c3032c5
    Reviewed-on: https://code.wireshark.org/review/8740
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ec3f923
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 1 16:29:17 2015 -0700

    Add the Display Filter Expression dialog.
    
    Changes from the GTK+ UI:
    - The display filter is built on the fly with immediate syntax feedback.
    - Slightly different layout.
    - You can search for fields.
    
    Make the plain SyntaxLineEdit a bit more plain.
    
    Bug: 11128
    Change-Id: I06a48cd7b9ba7b9dc193b0199540aede4eb62fa7
    Reviewed-on: https://code.wireshark.org/review/8742
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 32177ce
Author: Peter Lemenkov <lemenkov@gmail.com>
Date:   Thu May 21 17:39:31 2015 +0300

    [RTPproxy] Set column name to RTPProxy-ng
    
    Set column name to RTPProxy-ng if a new protocol is used.
    
    Change-Id: I8c79ad5426808ad6944060e9c12fa4ac1f02e432
    Signed-off-by: Peter Lemenkov <lemenkov@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/8737
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 4ed7cc7
Author: Anders Broman <a.broman58@gmail.com>
Date:   Tue Jun 2 13:27:52 2015 +0000

    Revert "MSVC 2015RC does not like the #defines using OFFSETOF replace them by absoulute numbers."
    
    This reverts commit 0808f4c9584b309548996388aafde51820a68932.
    
    Change-Id: I899cbeec86f34a00ded41040257e5de3ab537175
    Reviewed-on: https://code.wireshark.org/review/8736
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0808f4c
Author: Anders <anders.broman@ericsson.com>
Date:   Tue Jun 2 13:35:10 2015 +0200

    MSVC 2015RC does not like the #defines using OFFSETOF replace them by
    absoulute numbers.
    
    Change-Id: I1de97be98c06bee2d7ddca38496a72e93567cbcf
    Reviewed-on: https://code.wireshark.org/review/8734
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d751205
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 1 22:10:06 2015 +0200

    ISAKMP: do not try to defragment IKEv1 packets
    
    Bug: 11242
    Change-Id: I289a5eeb056822299f6cb436047418aec785dca5
    Reviewed-on: https://code.wireshark.org/review/8728
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit f1a6ba1
Author: Balint Reczey <balint@balintreczey.hu>
Date:   Sun May 31 22:34:59 2015 +0200

    gtk: Don't handle deprecation warnings as errors
    
    This fixes compilation with latest gdk-pixbuf. I plan rewriting
    the code to drop deprecaated function usage in a different commit
    and reverting this one.
    
    Ping-Bug: 10750
    Change-Id: I400e34e625b147a4858e73240602d75910c6eece
    Reviewed-on: https://code.wireshark.org/review/8720
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 0f7c74a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 1 19:51:06 2015 +0200

    AFS: Fix Mac OS X buildbot (-Wshadow)
    
    Rename index -> idx
    
    Change-Id: I22b23535e3d24866bdbe63be8f242a3c3ebcc6ba
    Reviewed-on: https://code.wireshark.org/review/8726
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit fb5e9e4
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Jun 1 10:35:25 2015 -0400

    Convert AFS dissector to use ptvcursor API.
    
    The dissector was written in all macros, presumably to get just a single lines to display a field.  The ptvcursor API is good for that, and using it over macros more than halves the object size.  Real code (vs macros) is also much easier to use in a debugger.  It also makes it easier for the check* scripts to find possible errors.
    
    Also eliminate proto_tree_add_text.
    
    Change-Id: Id07e015b5a2d1a98a4b36e40a426442d826d9a09
    Reviewed-on: https://code.wireshark.org/review/8723
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 11b3d64
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 31 11:38:46 2015 -0400

    Eliminate proto_tree_add_text from packet-sip.c
    
    Change-Id: I560b2b0660ce2274507721450534d4d50fb6aec5
    Reviewed-on: https://code.wireshark.org/review/8713
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2be0042
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 1 07:54:00 2015 +0200

    Websocket: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: Ica45c5d316d04df977449a12f824c76642d6c4bd
    Reviewed-on: https://code.wireshark.org/review/8722
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit effa6fc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun May 31 15:32:26 2015 -0700

    Don't create a GLib main loop.
    
    In the Qt Wireshark, the main loop is a Qt main loop; no need for a GLib
    one.
    
    Change-Id: I65378eb9a73d145ef60389e5e02a128e2321c403
    Reviewed-on: https://code.wireshark.org/review/8721
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6abf513
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 31 12:48:39 2015 -0400

    Eliminate proto_tree_add_text from packet-http.c
    
    Change-Id: Ib94eabeea865ef5c5d9ce4cef26d9faa51c5659d
    Reviewed-on: https://code.wireshark.org/review/8715
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4d74d0d
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun May 31 11:45:36 2015 -0400

    Eliminate proto_tree_add_text from packet-dcerpc-ndr.c and packet-dcerpc-netlogon.c
    
    Change-Id: I65eff9c8087424087a307f18b96a202f0364e371
    Reviewed-on: https://code.wireshark.org/review/8714
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 7780159
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Sat May 16 22:26:53 2015 +0100

    Fix zlib cmake
    
    Add support for the locally modified version of zlib to suppress
    a CMake warning and disable building of the zlib examples.
    
    Change-Id: I9ae08b49d149951e8626d506f69f1757a1ec7e23
    Reviewed-on: https://code.wireshark.org/review/8706
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 7da74df
Author: Mikhail Koreshkov <drkor@hotbox.ru>
Date:   Sat May 30 11:13:04 2015 +0300

    VGCS/VBS Assignment Request: Add param dissector
    
    Function for dissect Assignment Requirement parameter
    
    Change-Id: I0ed8748913e5fe3dd509a78a5285520f6f63abac
    Reviewed-on: https://code.wireshark.org/review/8700
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d555aa7
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Feb 21 18:46:25 2015 +0100

    websocket: restructure tree, always unmask payload
    
    Changes:
     - Instead of special-casing masked and unmasked payload data, always
       unmask the payload before using it. This fixes handling of SIP
       requests which are masked and would previously not be dissected by
       the SIP handle. (As a result, many fields are removed).
     - Dissected text protocols (for example SIP) are now shown below the
       Websocket layer instead of inside the payload tree.
     - Use line-based text dissector as fallback for text decoding, and use
       data dissector for binary decoding.
     - Treat the optional close reason as UTF-8 instead of ASCII.
     - Group the close fields (status code, reason) in a subtree below close
       to avoid confusion. Make Close FT_NONE to avoid displaying hex.
     - Split dissection of the payload in separate functions for control and
       data frames.
    
    Change-Id: I78b0078d51271bef94229d4b7c6c528b5e3a424d
    Reviewed-on: https://code.wireshark.org/review/7294
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit b407e45
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 31 08:57:36 2015 -0700

    [Automatic update for 2015-05-31]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I596469e49e1831939305178b0ab14b18f9b00d4b
    Reviewed-on: https://code.wireshark.org/review/8711
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 118bd7a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 31 08:08:46 2015 -0700

    [Automatic update for 2015-05-31]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I5ff709ae337949905bc4151bbbfcbb125eb9f5d3
    Reviewed-on: https://code.wireshark.org/review/8707
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit acde1e6
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri May 29 16:51:17 2015 +0200

    configure.ac: openSUSE build fix
    
    For some Linux distro's (e.g. openSUSE) the Qt4 tools have no suffix
    and the Qt5 tools have the suffix "-qt5". On such systems search for
    the Qt5 tools first. This avoids that compilation fails with the
    following error message:
    
    In file included from follow_stream_dialog.cpp:23:0:
    ui_follow_stream_dialog.h: In member function 'void Ui_FollowStreamDialog::retranslateUi(QDialog*)':
    ui_follow_stream_dialog.h:152:110: error: 'UnicodeUTF8' is not a member of 'QApplication'
     e(QApplication::translate("FollowStreamDialog", "Follow Stream", 0, QApplicatio
                                                                         ^
    
    Bug: 11233
    Change-Id: I09ccdb6a74043b6d952814b74fec5d618e6e26aa
    Reviewed-on: https://code.wireshark.org/review/8686
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 28481cd
Author: Thomas Wiens <th.wiens@gmx.de>
Date:   Sat May 30 13:43:00 2015 +0200

    ams: fixed wrong offset calculation, adsstate has 2 bytes
    
    Change-Id: I95813bb49dd9a51662bac521e82599c26de59e8e
    Reviewed-on: https://code.wireshark.org/review/8701
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a461e23
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat May 30 00:35:23 2015 +0200

    BGP: remove proto_tree_add_text call
    
    Part7
    Fix last proto_tree_add_text (use expert info)
    
    Change-Id: I9c4c053e5fc94f57608c7ee8355e6e16f8af6bd1
    Reviewed-on: https://code.wireshark.org/review/8697
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 392d3a5
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat May 30 00:20:42 2015 +0200

    BGP: remove proto_tree_add_text call
    
    Part6
    Update SAFNUM_TUNNEL
    
    Change-Id: I4a3486f3fd12a624caa11e4ab424b26081b5b9ab
    Reviewed-on: https://code.wireshark.org/review/8696
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2d40489
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat May 30 00:11:19 2015 +0200

    BGP: remove proto_tree_add_text call
    
    Part 5
    Update SAFNUM_LAB_VPNUNIMULC/SAFNUM_LAB_VPNMULCAST/SAFNUM_LAB_VPNUNIMULC
    Simplify code but no tested on real pcap
    
    Change-Id: I02fc1bc8d4b406f34918130d1eb24d514c24385c
    Reviewed-on: https://code.wireshark.org/review/8695
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit db3c821
Author: Mikhail Koreshkov <drkor@hotbox.ru>
Date:   Fri May 29 21:34:41 2015 +0300

    Q955.3 MLPP Dissector
    
    Added ASN.1 dissector for MLPP (Multi-Level Precedence and Preemption)
    protocol Q955.3
    
    Change-Id: Ic1c855dfbf1fb1295a43cfe3a5ad7087b5b89c12
    Reviewed-on: https://code.wireshark.org/review/8689
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 78c0aa3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat May 30 00:38:45 2015 +0200

    SCSI: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: Ie71203081f807401d3eee5601a1885e9a311f81e
    Reviewed-on: https://code.wireshark.org/review/8698
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c2bad0c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 29 23:36:46 2015 +0200

    BGP: Remove proto_tree_add_text call
    
    Part 4
    Update BGP Type TUNNEL_ENCAPS_ATTR
    
    Change-Id: Ib166cf42e4eee3513f4c2f64e18eb5de2ed4acf2
    Reviewed-on: https://code.wireshark.org/review/8694
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1307c22
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri May 29 22:58:32 2015 +0200

    BGP: Remove proto_tree_add_text call
    
    Part 3
    Update BGP Type MP REACH NLRI, MP UNREACH NLRI and SAFI_SPECIFIC_ATTR
    
    Change-Id: I28bc1385cf75b99739946e91d52c4d654ba525d3
    Reviewed-on: https://code.wireshark.org/review/8693
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e47c4d5
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Fri May 29 23:42:15 2015 -0400

    NULL terminate the list of hfs given to proto_tree_add_bitmask*().
    
    This fixes a number of recent fuzz failures.
    
    Bug: 11195
    Change-Id: Ifa6cc380fd3f610469d3c795e234e6986cfaf674
    Reviewed-on: https://code.wireshark.org/review/8699
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 4ba1487
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri May 29 11:33:16 2015 -0700

    Qt: Always draw a byte view.
    
    When we clear the ByteViewTab add an placeholder ByteViewText.
    
    Change-Id: I9fbcd7e609c084d5724a30f80aa141b59ab1c0a1
    Reviewed-on: https://code.wireshark.org/review/8688
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6a2bf34
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri May 29 10:03:09 2015 -0700

    Update some items.
    
    Update some (but not all) content to match current reality.
    
    Change-Id: Id7618067ed49a309fdace4f1eaa2c5d12cbfb6ad
    Reviewed-on: https://code.wireshark.org/review/8687
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 3827c81
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Aug 8 12:59:42 2014 +0200

    Qt: Add Conversation Filter sub menu
    
    Apply conversation filters using the new color_dissector_filters.[ch]
    from g1f03180.
    
    Change-Id: I2e535bb3d5b95fd26226422daf9f83c452a95e3c
    Reviewed-on: https://code.wireshark.org/review/3558
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 486a530
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri May 29 22:32:01 2015 +0200

    ISAKMP: fix compilation without libgcrypt
    
    Change-Id: Ie0d9cc3d81b57f81fe50791bf0c5762578a22b19
    Reviewed-on: https://code.wireshark.org/review/8692
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ba2e110
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri May 29 22:15:48 2015 +0200

    ISAKMP: fix some compilation warnings
    
    Change-Id: If682a12e057f35991893db18dc5e6c4df5434973
    Reviewed-on: https://code.wireshark.org/review/8690
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 00a2cf0
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Fri May 29 16:41:44 2015 +0100

    ISAKMP: implement RFC7383:  Internet Key Exchange Protocol Version 2 (IKEv2) Message Fragmentation
    
    Change-Id: Ib6660e245729bf9d4399fa8aa1858877ec3244da
    Reviewed-on: https://code.wireshark.org/review/8685
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 6c58665
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri May 29 14:03:27 2015 +0200

    ANSI IS-637 A: fix byte highlighting of destination address when using ASCII encoding
    
    Change-Id: I11d5de26bd73bada742e808f582e0dd746032aa2
    Reviewed-on: https://code.wireshark.org/review/8684
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 65f873f
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Fri May 29 09:30:07 2015 +0200

    idmp: Sync with asn1 source
    
    Change-Id: Ie46a86c696b6b8889032db0fc6678768f18e1fc1
    Reviewed-on: https://code.wireshark.org/review/8682
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit c58f51b
Author: Andy Ling <Andy.Ling@quantel.com>
Date:   Thu May 28 16:27:15 2015 +0200

    HTTP: Add support of PATCH method (RFC 5789)
    
    Bug: 11229
    Change-Id: I915d2efb873bfa72d500070f382dad10a991ecd4
    Reviewed-on: https://code.wireshark.org/review/8673
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b610db6
Author: Anish Bhatt <anish@chelsio.com>
Date:   Thu Apr 23 15:31:01 2015 -0700

    Update scsi lun id dissector, add support to handle all 4 addressing
    methods
    
    Bug 11078
    
    Change-Id: I7a9ff07d83b4bb5f5512c04d71aa7f1d3baa0edd
    Reviewed-on: https://code.wireshark.org/review/8181
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit afb0791
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu May 28 21:29:33 2015 -0700

    Use FT_FLOAT for a floating-point number.
    
    Change-Id: If74df214c41baac425fd89e8476578962a5cfde7
    Reviewed-on: https://code.wireshark.org/review/8681
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7e3d4f6
Author: Artur Nowosielski <artnowo@gmail.com>
Date:   Fri May 29 01:13:34 2015 +0200

    enabled decoding of longlong and ulonglong in GIOP
    
    Change-Id: I21323ab6c44583494c4353650caea0d23ef3f30c
    Reviewed-on: https://code.wireshark.org/review/8679
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 61cef23
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu May 28 14:10:49 2015 -0700

    Use an "Open" instead of a "Save" dialog for UAT prefs.
    
    When selecting a file for a PT_TXTMOD_FILENAME UAT preference, use
    QFileDialog::getOpenFileName instead of QFileDialog::getSaveFileName.
    This matches current GTK+ behavior and the two preferences that use
    PT_TXTMOD_FILENAME.
    
    Add a comment noting that the PT_TXTMOD_FILENAME is Open-only.
    
    Bug: 11027
    Change-Id: I29eb056422949eda700d448621e508cf094fd7b7
    Reviewed-on: https://code.wireshark.org/review/8678
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 1955dd2
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu May 28 13:27:19 2015 -0700

    1.99.6 → 1.99.7.
    
    Change-Id: I8c431f162d199c8507ba57d84e496dce5f5a0933
    Reviewed-on: https://code.wireshark.org/review/8677
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
